jquery-validation vulnerabilities

Client-side form validation made easy

Latest version

1.19.3

First published

6 years ago

Latest version published

10 days ago

Licenses detected

  • license: MIT >=0
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the jquery-validation package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • H
Regular Expression Denial of Service (ReDoS)
<1.19.3 Not available 14 Jan, 2021
Versions
Version Published Licenses Direct Vulnerabilities
jquery-validation 1.19.3 Latest 09 Jan, 2021 MIT
  • 0 H
  • 0 M
  • 0 L
jquery-validation 1.19.2 23 May, 2020 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.19.1 15 Jun, 2019 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.19.0 28 Nov, 2018 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.18.0 09 Sep, 2018 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.17.0 29 Jul, 2017 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.16.0 02 Dec, 2016 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.15.1 22 Jul, 2016 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.15.0 25 Feb, 2016 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.15.0-pre Pre-release 25 Feb, 2016 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.14.0 30 Jun, 2015 MIT
  • 1 H
  • 0 M
  • 0 L
jquery-validation 1.13.1 17 Oct, 2014 MIT
  • 1 H
  • 0 M
  • 0 L